﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        TestStyleModel styleModel;
        List<string> list;
        public Form1()
        {
            InitializeComponent();

            list = new List<string>();
            list.Add("test1");
            list.Add("test2");
            list.Add("test3");

            fpSpread1_Sheet1.DataSource = list;

            styleModel = new TestStyleModel(fpSpread1.Sheets[0].Models.Data);
            fpSpread1_Sheet1.Models.Style = styleModel; 
            for (int row = 0; row < fpSpread1_Sheet1.RowCount; row++)
            {
                fpSpread1.ActiveSheet.SetConditionalFormat(row, 0, new FarPoint.Win.Spread.NamedStyle(), FarPoint.Win.Spread.ComparisonOperator.EqualTo, "test3");
            }

        }

        private void button1_Click(object sender, EventArgs e)
        {
            list.Add("test4");
            list.Add("test5");
            list.Add("test6");
        }

        private void button2_Click(object sender, EventArgs e)
        {

            fpSpread1.Reset();
            fpSpread1_Sheet1.DataSource = list;
            styleModel = new TestStyleModel(fpSpread1.Sheets[0].Models.Data);
            fpSpread1_Sheet1.Models.Style = styleModel;
            for (int row = 0; row < fpSpread1_Sheet1.RowCount; row++)
            {
                fpSpread1.ActiveSheet.SetConditionalFormat(row, 0, new FarPoint.Win.Spread.NamedStyle(), FarPoint.Win.Spread.ComparisonOperator.EqualTo, "test3");
                fpSpread1.ActiveSheet.SetConditionalFormat(row, 0, new FarPoint.Win.Spread.NamedStyle(), FarPoint.Win.Spread.ComparisonOperator.EqualTo, "test6");
            }
        }
    }
}
