﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FarPoint.Win.Spread.Model;

namespace WindowsFormsApplication1
{
    public class TestStyleModel : DefaultSheetStyleModel
    {
        private ISheetDataModel datamodel;
        public TestStyleModel(ISheetDataModel datamodel)
            : base(datamodel.RowCount, datamodel.ColumnCount)
        {
            this.datamodel = datamodel;
        }

        public override bool SetConditionalFormat(int row, int column, FarPoint.Win.Spread.NamedStyle style, FarPoint.Win.Spread.ComparisonOperator op, string firstCondition, string lastCondition)
        {
            style = new FarPoint.Win.Spread.NamedStyle();
            style.BackColor = System.Drawing.Color.DarkRed;
            return base.SetConditionalFormat(row, column, style, op, firstCondition, lastCondition);
        }
    }
}
